# $Revision: 1.55 $, $Date: 2011/11/24 07:24:34 $
%define		modname	imagick
%define		status		stable
Summary:	%{modname} - PHP wrapper to the Image Magick Library
Summary(pl.UTF-8):	%{modname} - PHP-owy wrapper do biblioteki Image Magick
Name:		php-pecl-%{modname}
Version:	3.0.1
Release:	2
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	e2167713316639705202cf9b6cb1fdb1
URL:		http://pecl.php.net/package/imagick/
BuildRequires:	ImageMagick-devel >= 1:6.2.4.0
BuildRequires:	php-devel >= 3:5.1.3
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires(triggerpostun):	sed >= 4.0
Requires:	php-common >= 4:5.0.4
Provides:	php(imagick)
Obsoletes:	php-imagick
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats (over 68 major
formats) including popular formats like TIFF, JPEG, PNG, PDF, PhotoCD,
and GIF. With ImageMagick you can create images dynamically, making it
suitable for Web applications. You can also resize, rotate, sharpen,
color reduce, or add special effects to an image and save your
completed work in the same or differing image format.

In PECL status of this package is: %{status}.

%description -l pl.UTF-8
ImageMagick to duży zestaw narzędzi i bibliotek do odczytu, zapisu i
modyfikowania obrazków w wielu formatach (ponad 68 głównych), w tym
popularnych, takich jak TIFF, JPEG, PNG, PDF, PhotoCD i GIF. Za pomocą
ImageMagick można dynamicznie tworzyć obrazki, co jest przydatne w
aplikacjach WWW. Można je także przeskalowywać, obracać, wyostrzać,
zmniejszać ilość kolorów - w tym samym lub innym formacie.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -q -c
mv %{modname}-%{version}/* .

%build
phpize
%configure

%{__make} \
	CFLAGS_CLEAN="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir},%{_examplesdir}/%{name}-%{version}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%triggerpostun -- %{name} < 0.9.11-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*%{modname}\.so/d' %{php_sysconfdir}/php.ini

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-imagick.spec,v $
Revision 1.55  2011/11/24 07:24:34  arekm
- release 2

Revision 1.54  2011/01/03 14:37:30  lisu
- updated to 3.0.1

Revision 1.53  2010/12/11 21:38:14  arekm
- release 5

Revision 1.52  2010/12/09 08:00:50  lisu
- rel 4 (new ImageMagick)

Revision 1.51  2010/06/02 15:43:44  glen
- restore md5

Revision 1.50  2010/06/02 15:34:55  glen
- release 3

Revision 1.49  2010/01/18 08:00:04  amateja
- release 2

Revision 1.48  2009/08/20 07:14:03  amateja
- updated to 2.3.0

Revision 1.47  2009/05/02 12:08:23  areq
- release 3

Revision 1.46  2009/04/26 17:20:09  adamg
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.45  2009/04/21 08:38:58  glen
- %doc CREDITS

Revision 1.44  2009/04/21 08:05:58  glen
- package examples into %{_examplesdir}; rel 2

Revision 1.43  2009/02/07 16:54:02  adamg
- updated to 2.2.2

Revision 1.42  2008/10/30 09:19:05  adamg
- updated to 2.2.1

Revision 1.41  2008/07/19 09:23:46  adamg
- updated to 2.2.0

Revision 1.40  2008-05-03 14:30:11  adamg
- release 2 (release 1 is for Ac)

Revision 1.39  2008-05-03 14:29:09  adamg
- updated to 2.1.1

Revision 1.38  2007/11/02 17:10:43  adamg
- updated to 2.0.1

Revision 1.37  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.36  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.35  2007/01/04 12:39:33  glen
- typo

Revision 1.34  2007/01/02 19:45:09  glen
- use new php extension related macros

Revision 1.33  2006/12/13 22:37:44  glen
- rel 12 (php 5.2.0)

Revision 1.32  2006/11/26 15:34:19  glen
- rel 11: add Provides: php(%{_modname})

Revision 1.31  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.30  2006/04/27 19:34:49  glen
- sort preamble

Revision 1.29  2006/04/27 19:13:54  glen
- use sed directly in trigger, rel 10

Revision 1.28  2006/04/05 13:45:54  hawk
- release 9 (rebuild with new ImageMagick)

Revision 1.27  2005/12/22 12:12:25  glen
- rel 8 (rebuild with new php)

Revision 1.26  2005/10/30 13:29:50  glen
- rel 7

Revision 1.25  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.24  2005/10/03 18:09:59  arekm
- br new imagemagick

Revision 1.23  2005/10/02 20:11:16  arekm
- rel 4

Revision 1.22  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.21  2004/12/11 00:40:36  ankry
- rel. 2

Revision 1.20  2004/07/11 11:00:02  adamg
- release 1

Revision 1.19  2004/07/11 10:57:24  adamg
- updated to 0.9.11
- removed obsolete wand patch

Revision 1.18  2004/06/02 21:09:39  qboosh
- added wand patch for ImageMagick 6.0.0+, cleanup, release 2

Revision 1.17  2004/05/31 17:06:31  qboosh
- fixed status info

Revision 1.16  2004/04/04 11:31:47  adamg
- updated to 0.9.9

Revision 1.15  2003/10/15 17:37:04  adamg
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

Revision 1.14  2003/10/07 20:57:04  adamg
- do not use macros in URL

Revision 1.13  2003/09/16 08:45:54  adamg
- updated to 0.9.8

Revision 1.12  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.11  2003/07/18 06:22:50  adamg
- updated to 0.9.5

Revision 1.10  2003/05/28 13:01:15  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:25:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/02/23 13:37:33  blues
- 0.9.5 - some new features, few bugfixes

Revision 1.7  2003/02/01 16:04:35  blues
- 0.9.4

Revision 1.6  2003/01/04 15:41:09  blues
- 0.9.3 - more features and fixes, status info added

Revision 1.5  2002/12/27 23:23:23  qboosh
- use proper optflags

Revision 1.4  2002/12/12 19:32:12  blues
- 0.9.2 - bugfixes & few new features

Revision 1.3  2002/12/07 15:30:16  blues
- 0.9.1 - this is new series - NOT COMPATIBLE!! - there is a lot of new
  functions

Revision 1.2  2002/11/14 15:58:05  blues
- more automation

Revision 1.1  2002/10/15 19:11:18  misto
- renamed package with binary pear class from php-pear-class to php-pecl-class
